%global srcname dataclasses-json

Name:           python-%{srcname}
Version:        0.5.6
Release:        3%{?dist}
Summary:        Encoding and decoding dataclasses to and from JSON.

License:        MIT
URL:            https://github.com/lidatong/dataclasses-json
Source0:        %{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools

%description
This library provides a simple API for
encoding and decoding dataclasses to and from JSON.


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
This library provides a simple API for
encoding and decoding dataclasses to and from JSON.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{_bindir}/*
%{python3_sitelib}/*


%changelog
* Sun Dec 05 2021 Cristian Balint <cristian.balint@gmail.com>
- github release
